package net.ferrum.business.service;

import net.ferrum.business.domain.bo.QsOperatorRecordBo;
import net.ferrum.business.domain.vo.QsOperatorRecordVo;
import net.ferrum.common.core.domain.PageQuery;
import net.ferrum.common.core.page.TableDataInfo;

import java.util.Collection;
import java.util.List;

/**
 * 操作员操作记录Service接口
 *
 * @author 26554
 * @date 2025-04-21
 */
public interface IQsOperatorRecordService {

    /**
     * 查询操作员操作记录
     */
    QsOperatorRecordVo queryById(Long id);

    /**
     * 查询操作员操作记录列表
     */
    TableDataInfo<QsOperatorRecordVo> queryPageList(QsOperatorRecordBo bo, PageQuery pageQuery);

    /**
     * 查询操作员操作记录列表
     */
    List<QsOperatorRecordVo> queryList(QsOperatorRecordBo bo);

    /**
     * 新增操作员操作记录
     */
    Boolean insertByBo(QsOperatorRecordBo bo);

    /**
     * 修改操作员操作记录
     */
    Boolean updateByBo(QsOperatorRecordBo bo);

    /**
     * 校验并批量删除操作员操作记录信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
